html {
  box-sizing: border-box;
  font-size: 16px;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: sans-serif;
  box-sizing: inherit;
}

*::before, *::after {
  box-sizing: inherit;
}





/* ---------------------------------------------------------------- */
.container {
    padding: 40px;
}


.main-title {
  position: relative;
  background: url('../images/oursurvices.jpg') no-repeat center center / cover;
  color: #ffffff;
  text-align: center;
  padding: 160px 20px;
  overflow: hidden;
}

.main-title::before {
  content: "";
  position: absolute;
  top: 0; left: 0; right: 0; bottom: 0;
  background: rgba(0, 0, 0, 0.7); /* تعتيم */
  z-index: 0;
}

.main-title h1 {
  position: relative;
  top: 70px;
  z-index: 1;
  font-size: 42px;
}

.main-title::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100px;
  background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 50%, rgba(112, 112, 112, 0.822) 100%);
  z-index: 2;
}



.service-block {
  display: flex;
  flex-direction: row;
  background: #f9f9f9;
  border-radius: 16px;
  overflow: hidden;
  margin-bottom: 40px;
  box-shadow: 0 6px 16px rgba(0,0,0,0.08);
  transition: transform 0.3s;
}

.service-block:hover {
  transform: translateY(-4px);
}

.group-title {
  font-size: 42px;
  text-align: left;
  padding-top: 90px;
  margin-bottom: 60px;
  font-weight: bold;
  color: #080808;
  position: relative;
}

.group-title::after {
  content: "";
  display: block;
  width: 300px;
  height: 4px;
  background-color: #ff6a00;
  margin: 10px 0 0 10px;
  border-radius: 2px;
}


.service-image {
  flex: 1;
  min-width: 280px;
  max-width: 400px;
  height: auto;
  overflow: hidden;
}

.service-image img {
  width: 100%;
  height: 100%;
  object-fit: cover ;
  display: block;
}

.service-content {
  flex: 2;
  padding: 30px;
}

.service-content h2 {
  font-size: 28px;
  color: #222;
  margin-bottom: 12px;
  border-left: 5px solid #ff6a00;
  padding-left: 12px;
}

.service-content p {
  font-size: 16px;
  color: #555;
  line-height: 1.7;
  margin-bottom: 24px;
}

.service-categories {
  display: flex;
  flex-wrap: wrap;
  gap: 30px;
  margin-bottom: 20px;
}

.category {
  flex: 1 1 250px;
}

.category h3 {
  font-size: 18px;
  margin-bottom: 8px;
  color: #333;
}

.category ul {
  padding-left: 20px;
  list-style-type: disc;
  color: #444;
}

.category ul li {
  margin-bottom: 1px;
  font-size: 15px;
}

.category ul li p {
    margin: 0; /* إزالة التباعد الزائد */
  }


.service-btn {
  display: inline-block;
  margin-top: 10px;
  padding: 12px 24px;
  background-color: #ff6a00;
  color: #fff;
  border-radius: 8px;
  font-weight: 600;
  text-decoration: none;
  transition: background-color 0.3s;
}

.service-btn:hover {
  background-color: #e85c00;
}







/* ----------------------Respnsive------------------------------ */




@media (max-width: 768px) {

  .main-title {
    font-size: 36px;
    margin-bottom: 40px;
  }
    
  .service-block {
    flex-direction: column;
  }

  .service-content {
    padding: 20px;
  }

  .service-categories {
    flex-direction: column;
    gap: 20px;
  }
}


@media (max-width: 415px) {

  .main-title {
    font-size: 28px;
    margin-bottom: 30px;
  }
}

